using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Skyscraper;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.Mpeg2.Descriptors
{
	[SkyscraperPlugin]
	[TsDescriptor(0x20,"PMT")]
    [BannedTable("TSDT","EIT")]
    class ExternalEsIdDescriptor : TsDescriptor
    {
        public ExternalEsIdDescriptor(byte[] buffer)
        {
            if (buffer.Length != 2)
            {
                Valid = false;
                return;
            }
			//TODO: Implement this!
			//      see T-REC-H.222.0-202106-S!!PDF-E.pdf
            //      page 118, paragraph 2.6.46
			throw new NotImplementedException(nameof(ExternalEsIdDescriptor));
        }
    }
}
